petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISDifference

Computes the difference between two index sets.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISDifference(IS is1,IS is2,IS *isout)

Collective on IS Many br

### Input Parameter

| is1 | - first index, to have items removed from it Many br
| is2 | - index values to be removed Many br

### Output Parameters

isout -is1 - is2 Many br

### Notes

Negative values are removed from the lists. is2 may have values Many brthat are not in is1. This requires O(imax-imin) memory and O(imax-imin) Many brwork, where imin and imax are the bounds on the indices in is1. Many br

Many br

### See Also

ISDestroy(), ISView(), ISSum(), ISExpand()

Level:intermediate
Location:src/vec/is/is/utils/isdiff.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages